<template>
    <div class="header-contaier">
        <div class="header-side-inner">
            <!-- <van-icon
                @click="back"
                name="arrow-left"
                color="#fff"
                size="20px"
            /> -->
        </div>
        <div class="header-title-inner">
            <span class="header-title">{{ currentKey.name }}</span>
        </div>
        <div class="header-side-inner right">
            <span
                class="header-sub-title"
                @click="changeMenu(currentKey.changeKey)"
                >{{ currentKey.subName }}</span
            >
        </div>
    </div>
</template>

<script>
export default {
    name: 'headSection',
    props: {
        pageName: {
            type: String,
            default: 'MajorProjects',
        },
    },
    data() {
        return {
            currentKey: {
                name: '重大改革项目报表',
                path: '/MajorProjectsMobile',
                key: 'MajorProjectsMobile',
                changeKey: 'DistrictReformMobile',
                subName: '区县报表',
            },
            majorProjectsMobile: {
                name: '重大改革项目报表',
                path: '/MajorProjectsMobile',
                key: 'MajorProjectsMobile',
                changeKey: 'DistrictReformMobile',
                subName: '区县报表',
            },
            districtReformMobile: {
                name: '区县改革报表',
                path: '/DistrictReformMobile',
                key: 'DistrictReformMobile',
                changeKey: 'MajorProjectsMobile',
                subName: '重大项目',
            },
        }
    },
    watch: {
        pageName: {
            handler: function (newVal, oldVal) {
                console.log(newVal)
                this.currentKey = this[`${newVal}Mobile`]
            },
            immediate: true,
        },
    },
    methods: {
        changeMenu(key) {
            this.$router.push({
                path: '/' + key,
            })
        },
        back() {
            window.history.go(-1)
        },
    },
}
</script>

<style lang='scss' scoped>
.header-contaier{
    height: 44PX;
    background-color: #0087fd;
    display: flex;
    padding: 0 15PX;
    justify-content: space-between;
    align-items: center;
}
.header-side-inner{
    width: 60PX;
}
.header-side-inner.right{
    text-align: right;
}
.header-title{
    color: #fff;
    font-size: 18PX;
}
.header-sub-title{
    color: #fff;
    font-size: 12PX;
}
</style>